> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/new-udtimepicker.md).

# New-UDTimePicker

### Synopsis

Creates a time picker.

### Syntax

```powershell
New-UDTimePicker [[-Id] <String>] [[-Label] <String>] [[-OnChange] <Endpoint>] [[-Value] <DateTime>] [[-Locale] <String>] [[-ClassName] <String>] [-DisableAmPm] [[-TimeZone] <Object>] [<CommonParameters>]
```

### Description

Creates a time picker. This component can be used stand alone or within New-UDForm.

### Parameters

#### -Id

The ID of the component. It defaults to a random GUID.

```
Required?                    false
Position?                    1
Default value                [Guid]::NewGuid().ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label

The label to show with the time picker.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnChange

A script block to call when the time is changed. The $EventData variable contains the currently selected time.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Value

The current value of the time picker.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Locale

Change the language of the time picker.

```
Required?                    false
Position?                    5
Default value                en
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

A CSS class to apply to the time picker.

```
Required?                    false
Position?                    6
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -DisableAmPm [<SwitchParameter>]
        Use 24-hour time instead of them AM/PM ante meridiem.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -TimeZone The time zone to use for the time picker. This should be an IANA time zone string.Required?                    falsePosition?                    7Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Outputs--------------------------> EXAMPLE 1 --------------------------PS >New-UDTimePicker -Id 'timepicker1'Basic Time Picker|Creates a basic time picker.-------------------------- EXAMPLE 2 --------------------------PS >New-UDTimePicker -Id 'timepicker2' -OnChange {PS >     Show-UDToast -Message "Time changed to $($EventData)"PS > }OnChange|Creates a time picker with an OnChange script block.-------------------------- EXAMPLE 3 --------------------------PS >New-UDTimePicker -Id 'timepicker3' -Value "12:00"Value|Creates a time picker with a value.-------------------------- EXAMPLE 4 --------------------------PS >New-UDTimePicker -Id 'timepicker4' -Locale "de"Locale|Creates a time picker with a German locale.-------------------------- EXAMPLE 5 --------------------------PS >New-UDTimePicker -Id 'timepicker5' -DisableAmPmDisableAmPm|Creates a time picker with 24-hour time.-------------------------- EXAMPLE 6 --------------------------PS >New-UDTimePicker -Id 'timepicker6' -TimeZone "America/New\_York"TimeZone|Creates a time picker with a specific time zone.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/new-udtimepicker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
